# Syntax

## Remove security by Id.

```
DELETE /v{version}/users/{userId}/watchlists/{watchlistId}/securities/{securityId}
```

### Description

This API endpoint enables you to remove a security from an existing watchlist by providing the security’s internal identifier in AutoShares.

### Parameters

| Type       | Name                                                       | Description                                                                                                                          | Schema          | Default |
| ---------- | ---------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------ | --------------- | ------- |
| **Header** | <p><strong>Authorization</strong><br><em>required</em></p> | This is the authorization token that you retrieved from the first endpoint (/token).                                                 | string          |         |
| **Path**   | <p><strong>securityId</strong><br><em>required</em></p>    | This is the internal identifier of the security that is to be removed from the watchlist.                                            | integer (int32) |         |
| **Path**   | <p><strong>userId</strong><br><em>required</em></p>        | This is the internal identifier of the user whose watchlist needs to be modified.                                                    | integer (int32) |         |
| **Path**   | <p><strong>version</strong><br><em>required</em></p>       | This is the version of the API. Unless you have multiple versions of AutoShares’s API deployed in your environment, leave it at 1.0. | string          | `"1"`   |
| **Path**   | <p><strong>watchlistId</strong><br><em>required</em></p>   | This is the internal identifier of the watchlist from which the security will be removed.                                            | integer (int32) |         |

### Responses

| HTTP Code | Description                                                                                                                                                                                            | Schema                            |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------- |
| **200**   | Successful request, JSON data containing the information about the user’s watchlists is returned (along with their corresponding securities if the resultIncludeSecurities parameter was set to true). | [WatchlistModel](#watchlistmodel) |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation.                                                                                                      | No Content                        |
| **403**   | The provided Et-App-Key is incorrect.                                                                                                                                                                  | No Content                        |
| **409**   | The security couldn’t be removed from the watchlist due to some conflict.                                                                                                                              | No Content                        |
| **422**   | A validation error occurred while processing the request.                                                                                                                                              | No Content                        |
| **500**   | Internal server error                                                                                                                                                                                  | No Content                        |

### Produces

* `application/json`
* `text/json`
